---
triple:          'arm64-apple-darwin'
binary-path:     '/Users/jenkins/workspace/Build_JDK25_aarch64_mac_Nightly/build/macosx-aarch64-server-release/support/test/hotspot/jtreg/native/lib/liblocaltab005.dylib'
relocations:
  - { offsetInCU: 0x6C3, offset: 0x6C3, size: 0x8, addend: 0x0, symName: _g_szTagInfo, symObjAddr: 0x4C8A8, symBinAddr: 0xC438, symSize: 0x0 }
  - { offsetInCU: 0x6EA, offset: 0x6EA, size: 0x8, addend: 0x0, symName: _g_tagFlags, symObjAddr: 0x4E7E8, symBinAddr: 0xE378, symSize: 0x0 }
  - { offsetInCU: 0x70C, offset: 0x70C, size: 0x8, addend: 0x0, symName: _g_tagVisitCount, symObjAddr: 0x4EBD0, symBinAddr: 0xE760, symSize: 0x0 }
  - { offsetInCU: 0x72E, offset: 0x72E, size: 0x8, addend: 0x0, symName: _g_refsToVerifyCnt, symObjAddr: 0x4FB70, symBinAddr: 0xF700, symSize: 0x0 }
  - { offsetInCU: 0x743, offset: 0x743, size: 0x8, addend: 0x0, symName: _g_refsToVerify, symObjAddr: 0x4FB78, symBinAddr: 0xF708, symSize: 0x0 }
  - { offsetInCU: 0x7BE, offset: 0x7BE, size: 0x8, addend: 0x0, symName: __ZL11nsk_context.0, symObjAddr: 0x4C520, symBinAddr: 0xC2F0, symSize: 0x0 }
  - { offsetInCU: 0x7C9, offset: 0x7C9, size: 0x8, addend: 0x0, symName: __ZL11nsk_context.1, symObjAddr: 0x4C524, symBinAddr: 0xC2F4, symSize: 0x0 }
  - { offsetInCU: 0x7D4, offset: 0x7D4, size: 0x8, addend: 0x0, symName: __ZL11nsk_context.2, symObjAddr: 0x4C528, symBinAddr: 0xC2F8, symSize: 0x0 }
  - { offsetInCU: 0x819, offset: 0x819, size: 0x8, addend: 0x0, symName: __ZL7context, symObjAddr: 0x4C678, symBinAddr: 0xC308, symSize: 0x0 }
  - { offsetInCU: 0x892, offset: 0x892, size: 0x8, addend: 0x0, symName: __ZL17redefineAttempted, symObjAddr: 0x4C730, symBinAddr: 0xC3C0, symSize: 0x0 }
  - { offsetInCU: 0x8B0, offset: 0x8B0, size: 0x8, addend: 0x0, symName: __ZL15redefineSucceed, symObjAddr: 0x4C734, symBinAddr: 0xC3C4, symSize: 0x0 }
  - { offsetInCU: 0x8C9, offset: 0x8C9, size: 0x8, addend: 0x0, symName: __ZL11agentFailed, symObjAddr: 0x4C738, symBinAddr: 0xC3C8, symSize: 0x0 }
  - { offsetInCU: 0x8E2, offset: 0x8E2, size: 0x8, addend: 0x0, symName: __ZL18currentAgentStatus, symObjAddr: 0x4C73C, symBinAddr: 0xC3CC, symSize: 0x0 }
  - { offsetInCU: 0x8FB, offset: 0x8FB, size: 0x8, addend: 0x0, symName: __ZL9jvmti_env, symObjAddr: 0x4C740, symBinAddr: 0xC3D0, symSize: 0x0 }
  - { offsetInCU: 0x8EC1, offset: 0x8EC1, size: 0x8, addend: 0x0, symName: __ZL10agent_data, symObjAddr: 0x4C748, symBinAddr: 0xC3D8, symSize: 0x0 }
  - { offsetInCU: 0x8F4A, offset: 0x8F4A, size: 0x8, addend: 0x0, symName: __ZL3jvm, symObjAddr: 0x4C758, symBinAddr: 0xC3E8, symSize: 0x0 }
  - { offsetInCU: 0x8F63, offset: 0x8F63, size: 0x8, addend: 0x0, symName: __ZL7jni_env, symObjAddr: 0x4C760, symBinAddr: 0xC3F0, symSize: 0x0 }
  - { offsetInCU: 0x8F7C, offset: 0x8F7C, size: 0x8, addend: 0x0, symName: __ZL15agentThreadProc, symObjAddr: 0x4C768, symBinAddr: 0xC3F8, symSize: 0x0 }
  - { offsetInCU: 0x8F95, offset: 0x8F95, size: 0x8, addend: 0x0, symName: __ZL14agentThreadArg, symObjAddr: 0x4C770, symBinAddr: 0xC400, symSize: 0x0 }
  - { offsetInCU: 0x8FAE, offset: 0x8FAE, size: 0x8, addend: 0x0, symName: __ZL11agentThread, symObjAddr: 0x4C778, symBinAddr: 0xC408, symSize: 0x0 }
  - { offsetInCU: 0x8FC8, offset: 0x8FC8, size: 0x8, addend: 0x0, symName: __ZL16checkStatus_func, symObjAddr: 0x4C780, symBinAddr: 0xC410, symSize: 0x0 }
  - { offsetInCU: 0x90AE, offset: 0x90AE, size: 0x8, addend: 0x0, symName: __ZL4caps, symObjAddr: 0x4C7D0, symBinAddr: 0xC420, symSize: 0x0 }
  - { offsetInCU: 0x90C7, offset: 0x90C7, size: 0x8, addend: 0x0, symName: __ZL8methInfo, symObjAddr: 0xDC68, symBinAddr: 0xC098, symSize: 0x0 }
  - { offsetInCU: 0x917F, offset: 0x917F, size: 0x8, addend: 0x0, symName: __ZL9constr_lv, symObjAddr: 0xDCF8, symBinAddr: 0xC128, symSize: 0x0 }
  - { offsetInCU: 0x91A4, offset: 0x91A4, size: 0x8, addend: 0x0, symName: __ZL10insMeth_lv, symObjAddr: 0xDDA0, symBinAddr: 0xC1D0, symSize: 0x0 }
  - { offsetInCU: 0x91BD, offset: 0x91BD, size: 0x8, addend: 0x0, symName: __ZL11statMeth_lv, symObjAddr: 0xDE48, symBinAddr: 0xC278, symSize: 0x0 }
  - { offsetInCU: 0x91E2, offset: 0x91E2, size: 0x8, addend: 0x0, symName: __ZL5jvmti, symObjAddr: 0x4C7E0, symBinAddr: 0xC430, symSize: 0x0 }
  - { offsetInCU: 0x9234, offset: 0x9234, size: 0x8, addend: 0x0, symName: _nsk_vprintf, symObjAddr: 0x358, symBinAddr: 0x39B0, symSize: 0xA0 }
  - { offsetInCU: 0x92C9, offset: 0x92C9, size: 0x8, addend: 0x0, symName: _nsk_printf, symObjAddr: 0x330, symBinAddr: 0x3988, symSize: 0x28 }
  - { offsetInCU: 0x932C, offset: 0x932C, size: 0x8, addend: 0x0, symName: _nsk_ldisplay, symObjAddr: 0x29C, symBinAddr: 0x3908, symSize: 0x80 }
  - { offsetInCU: 0x95C0, offset: 0x95C0, size: 0x8, addend: 0x0, symName: _nsk_complain, symObjAddr: 0x3F8, symBinAddr: 0x3A50, symSize: 0x34 }
  - { offsetInCU: 0x961A, offset: 0x961A, size: 0x8, addend: 0x0, symName: _nsk_lvcomplain, symObjAddr: 0x42C, symBinAddr: 0x3A84, symSize: 0x20C }
  - { offsetInCU: 0x97D3, offset: 0x97D3, size: 0x8, addend: 0x0, symName: _nsk_lcomplain, symObjAddr: 0x638, symBinAddr: 0x3C90, symSize: 0x28 }
  - { offsetInCU: 0x989C, offset: 0x989C, size: 0x8, addend: 0x0, symName: _nsk_ltrace, symObjAddr: 0x674, symBinAddr: 0x3CB8, symSize: 0xB0 }
  - { offsetInCU: 0x9993, offset: 0x9993, size: 0x8, addend: 0x0, symName: _nsk_lverify, symObjAddr: 0x7DC, symBinAddr: 0x3D68, symSize: 0xD8 }
  - { offsetInCU: 0x9AE4, offset: 0x9AE4, size: 0x8, addend: 0x0, symName: __Z14TranslateError10jvmtiError, symObjAddr: 0x11F8, symBinAddr: 0x3E40, symSize: 0x24 }
  - { offsetInCU: 0x9B8F, offset: 0x9B8F, size: 0x8, addend: 0x0, symName: __Z23nsk_jni_check_exceptionP7JNIEnv_PKci, symObjAddr: 0x16E4, symBinAddr: 0x3E64, symSize: 0x168 }
  - { offsetInCU: 0x9D6B, offset: 0x9D6B, size: 0x8, addend: 0x0, symName: __Z15nsk_jni_lverifyiP7JNIEnv_iPKciS2_z, symObjAddr: 0x184C, symBinAddr: 0x3FCC, symSize: 0x104 }
  - { offsetInCU: 0xA01C, offset: 0xA01C, size: 0x8, addend: 0x0, symName: _nsk_jvmti_parseOptions, symObjAddr: 0x1C2C, symBinAddr: 0x40D0, symSize: 0x3F8 }
  - { offsetInCU: 0xA240, offset: 0xA240, size: 0x8, addend: 0x0, symName: _nsk_jvmti_lverify, symObjAddr: 0x22EC, symBinAddr: 0x44C8, symSize: 0x154 }
  - { offsetInCU: 0xA424, offset: 0xA424, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_ArgumentHandler_getAgentOptionsString, symObjAddr: 0x2440, symBinAddr: 0x461C, symSize: 0xAC }
  - { offsetInCU: 0xA4F9, offset: 0xA4F9, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_RedefineAgent_redefineAttempted, symObjAddr: 0x278C, symBinAddr: 0x46C8, symSize: 0x14 }
  - { offsetInCU: 0xA532, offset: 0xA532, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_RedefineAgent_isRedefined, symObjAddr: 0x27A0, symBinAddr: 0x46DC, symSize: 0x14 }
  - { offsetInCU: 0xA56B, offset: 0xA56B, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_RedefineAgent_agentStatus, symObjAddr: 0x27B4, symBinAddr: 0x46F0, symSize: 0x14 }
  - { offsetInCU: 0xA6E8, offset: 0xA6E8, size: 0x8, addend: 0x0, symName: _nsk_jvmti_resetAgentData, symObjAddr: 0x2F18, symBinAddr: 0x4704, symSize: 0x1A8 }
  - { offsetInCU: 0xA9F2, offset: 0xA9F2, size: 0x8, addend: 0x0, symName: _nsk_jvmti_createJVMTIEnv, symObjAddr: 0x30C0, symBinAddr: 0x48AC, symSize: 0x140 }
  - { offsetInCU: 0xAB93, offset: 0xAB93, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_DebugeeClass_checkStatus, symObjAddr: 0x3694, symBinAddr: 0x49EC, symSize: 0x9C }
  - { offsetInCU: 0xAC50, offset: 0xAC50, size: 0x8, addend: 0x0, symName: __ZL18syncDebuggeeStatusP7JNIEnv_P9_jvmtiEnvi, symObjAddr: 0x3730, symBinAddr: 0x4A88, symSize: 0x690 }
  - { offsetInCU: 0xB7E2, offset: 0xB7E2, size: 0x8, addend: 0x0, symName: __ZN7JNIEnv_9NewObjectEP7_jclassP10_jmethodIDz, symObjAddr: 0x9400, symBinAddr: 0x5F54, symSize: 0x30 }
  - { offsetInCU: 0xB86E, offset: 0xB86E, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_DebugeeClass_resetAgentData, symObjAddr: 0x3DC0, symBinAddr: 0x5118, symSize: 0x74 }
  - { offsetInCU: 0xB91E, offset: 0xB91E, size: 0x8, addend: 0x0, symName: _MA_checkStatus, symObjAddr: 0x4AF0, symBinAddr: 0x518C, symSize: 0xB0 }
  - { offsetInCU: 0xBA1D, offset: 0xBA1D, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_unit_FollowReferences_FollowRefObjects_resetTags, symObjAddr: 0x576C, symBinAddr: 0x523C, symSize: 0x3C }
  - { offsetInCU: 0xBB13, offset: 0xBB13, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_unit_FollowReferences_FollowRefObjects_setTag, symObjAddr: 0x57A8, symBinAddr: 0x5278, symSize: 0x29C }
  - { offsetInCU: 0xBE56, offset: 0xBE56, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_unit_FollowReferences_FollowRefObjects_getTag, symObjAddr: 0x5A44, symBinAddr: 0x5514, symSize: 0xD0 }
  - { offsetInCU: 0xBF84, offset: 0xBF84, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_unit_FollowReferences_FollowRefObjects_resetRefsToVerify, symObjAddr: 0x5B14, symBinAddr: 0x55E4, symSize: 0xC }
  - { offsetInCU: 0xC046, offset: 0xC046, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_unit_FollowReferences_FollowRefObjects_addRefToVerify, symObjAddr: 0x5B20, symBinAddr: 0x55F0, symSize: 0x22C }
  - { offsetInCU: 0xC301, offset: 0xC301, size: 0x8, addend: 0x0, symName: _Agent_OnLoad, symObjAddr: 0x8CC8, symBinAddr: 0x581C, symSize: 0x4 }
  - { offsetInCU: 0xC345, offset: 0xC345, size: 0x8, addend: 0x0, symName: _Agent_OnLoad, symObjAddr: 0x8CC8, symBinAddr: 0x581C, symSize: 0x4 }
  - { offsetInCU: 0xC35E, offset: 0xC35E, size: 0x8, addend: 0x0, symName: _Agent_Initialize, symObjAddr: 0x8CCC, symBinAddr: 0x5820, symSize: 0x204 }
  - { offsetInCU: 0xC577, offset: 0xC577, size: 0x8, addend: 0x0, symName: _Agent_OnAttach, symObjAddr: 0x8ED0, symBinAddr: 0x5A24, symSize: 0x4 }
  - { offsetInCU: 0xC5BB, offset: 0xC5BB, size: 0x8, addend: 0x0, symName: _Agent_OnAttach, symObjAddr: 0x8ED0, symBinAddr: 0x5A24, symSize: 0x4 }
  - { offsetInCU: 0xC695, offset: 0xC695, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_GetLocalVariableTable_localtab005_check, symObjAddr: 0x8ED4, symBinAddr: 0x5A28, symSize: 0x52C }
  - { offsetInCU: 0xC9AA, offset: 0xC9AA, size: 0x8, addend: 0x0, symName: __ZL18agentThreadWrapperP9_jvmtiEnvP7JNIEnv_Pv, symObjAddr: 0x9430, symBinAddr: 0x5F84, symSize: 0x358 }
...
